#!/bin/sh

function compile
{
  echo compiling $1
  gcc -I/usr/include/freetype2 -I/usr/include/libpng15 -O2 -c $1 || exit 1
}

compile  appmenu.c
compile  bfont.c
compile  bico.c
compile  btn.c
compile  chdir.c
compile  chfile.c
compile  chicon.c
compile  clients.c
compile  clock.c
compile  config.c
compile  filerall.c
compile  fsel.c
compile  graymap.c
compile  imgload.c
compile  label.c
compile  list.c
compile  main.c
compile  medit.c
compile  menu.c
compile  p-box.c
compile  p-start.c
compile  pager.c
compile  panel.c
compile  pngio.c
compile  ptrbuf.c
compile  qumap.c
compile  resize_image.c
compile  scan_appdir.c
compile  taskbar.c
compile  txent.c
compile  txtren.c
compile  utf8.c
compile  x-basics.c
compile  x-events.c
compile  x-image.c
compile  x-keyboard.c
compile  x-misc-props.c
compile  x-props.c
compile  retarded.c


gcc -static -s -o mupanel \
  appmenu.o bfont.o bico.o btn.o chdir.o chfile.o chicon.o \
  clients.o clock.o config.o filerall.o fsel.o graymap.o \
  imgload.o label.o list.o main.o medit.o menu.o p-box.o \
  p-start.o pager.o panel.o pngio.o ptrbuf.o qumap.o \
  resize_image.o scan_appdir.o taskbar.o txent.o txtren.o \
  utf8.o x-basics.o x-events.o x-image.o x-keyboard.o \
  x-misc-props.o x-props.o retarded.o \
   -Wl,--start-group -lX11 -lXau -Wl,--end-group -lXext \
   -lpng -lfreetype -lz -lbz2 -lm

