#!/bin/sh

PKG=mupanel-1.2

function cpsrc()
{
  bsd-licence-add '2014 Şükrü Çınar' $1 $PKG
}

rm -Rf $PKG
mkdir $PKG
cpsrc  ./appmenu/appmenu.c  
cpsrc  ./appmenu/appmenu.h 
cpsrc  ./appmenu/filerall.c 
cpsrc  ./appmenu/filerall.h
cpsrc  ./appmenu/scan_appdir.c 
cpsrc  ./appmenu/scan_appdir.h
cpsrc  ./build/ame-scr1.c  
cpsrc  ./build/ame-scr2.c 
cpsrc  ./build/ame-scr3.c
cpsrc  ./build/bfont.c  
cpsrc  ./build/bfont.h 
cpsrc  ./build/bico.c 
cpsrc  ./build/blt-menubutton.xc
cpsrc  ./build/chdir-scr.c
cpsrc  ./build/chfile-scr.c 
cpsrc  ./build/chicon-scr.c
cpsrc  ./build/config.c  
cpsrc  ./build/config.h 
cpsrc  ./build/fsel-dnarr.c
cpsrc  ./build/fsel-uparr.c
cpsrc  ./build/graymap.c  
cpsrc  ./build/graymap.h 
cpsrc  ./build/menu.c  
cpsrc  ./build/menu.h 
cpsrc  ./build/x-props.c
cpsrc  ./build/x-props.h
cpsrc  ./dialog/btn.c  
cpsrc  ./dialog/btn.h 
cpsrc  ./dialog/chdir.c 
cpsrc  ./dialog/chdir.h
cpsrc  ./dialog/chfile.c 
cpsrc  ./dialog/chfile.h
cpsrc  ./dialog/chicon.c 
cpsrc  ./dialog/chicon.h 
cpsrc  ./fsel/fsel.c  
cpsrc  ./fsel/fsel.h 
cpsrc  ./imports/pngio.c
cpsrc  ./imports/pngio.h
cpsrc  ./imports/ptrbuf.c
cpsrc  ./imports/ptrbuf.h 
cpsrc  ./imports/qumap.c 
cpsrc  ./imports/qumap.h
cpsrc  ./imports/resize_image.c
cpsrc  ./imports/resize_image.h
cpsrc  ./imports/txtren.c
cpsrc  ./imports/txtren.h
cpsrc  ./imports/utf8.c
cpsrc  ./imports/utf8.h
cpsrc  ./list/label.c
cpsrc  ./list/label.h
cpsrc  ./list/list.c
cpsrc  ./list/list.h
cpsrc  ./list/medit.c
cpsrc  ./list/medit.h
cpsrc  ./src/clients.c
cpsrc  ./src/clients.h
cpsrc  ./src/clock.c
cpsrc  ./src/clock.h
cpsrc  ./src/imgload.c
cpsrc  ./src/imgload.h
cpsrc  ./src/main.c  
cpsrc  ./src/p-box.c  
cpsrc  ./src/p-box.h  
cpsrc  ./src/p-start.c  
cpsrc  ./src/p-start.h  
cpsrc  ./src/pager.c  
cpsrc  ./src/pager.h  
cpsrc  ./src/panel.c  
cpsrc  ./src/panel.h  
cpsrc  ./src/taskbar.c  
cpsrc  ./src/taskbar.h  
cpsrc  ./src/x-basics.c  
cpsrc  ./src/x-basics.h  
cpsrc  ./src/x-events.c  
cpsrc  ./src/x-events.h  
cpsrc  ./src/x-image.c  
cpsrc  ./src/x-image.h  
cpsrc  ./src/x-misc-props.c  
cpsrc  ./src/x-misc-props.h  
cpsrc  ./txentry/txent.c  
cpsrc  ./txentry/txent.h  
cpsrc  ./txentry/x-keyboard.c  
cpsrc  ./txentry/x-keyboard.h  
cpsrc  ./src/retarded.c
cpsrc  ./src/retarded.h

cp  ./data/build.sh  $PKG
cp  ./imports/COPYING $PKG

rm *.bz2
tar cjf $PKG.tar.bz2 $PKG

