#include <stdint.h>
#include <stdio.h>
#include <X11/Xlib.h>
#include "x-basics.h"
#include "x-events.h"
#include "bfont.h"
#include "fsel.h"
#include "graymap.h"
#include "txtren.h"

void klik(void *arg, file_selector_t *fs, char *path)
{
  printf("click: %s\n", path);
}

int main()
{
  if (init_display(NULL)) return 1;
  char *sfx[]= {".ttf", ".otf",NULL};

  font_init();
  init_builtin_font();
  graymap_init(x_red_shift,x_green_shift,x_blue_shift);

  file_selector_new(x_root_window, 300, 200, 640, 480,
                     "/usr/share/fonts",0, sfx, klik, NULL);

  while(1)
  {
     XEvent event;
     XNextEvent(x_display,&event);
     handle_registered_event(&event);
  }
  return 0;
}

