

typedef struct litem  list_item_t;
typedef struct xlist  list_t;

list_item_t *list_item_new(uint32_t *idata, uint32_t iw, uint32_t ih,
                           const char *txt, void *ptr);
void list_item_free(list_item_t *li);

void *list_item_data(list_item_t *li);

   /* The click function has the following prototype:
         void click(void *, list_t *list, list_item_t *item);
      I didn't put it here to avoid stupid casts. */
list_t *list_new(Window parent, int x,int y, int w,int h,
                 void *item_click_func, 
                 void *item_dclick_func, 
                 void *arg);

void list_free(list_t *L);

void list_item_select(list_t *L, list_item_t *li,int sel);

void list_prepend(list_t *L, list_item_t *li);
void list_append(list_t *L, list_item_t *li);
void list_insert_after(list_t *L, list_item_t *anchor, list_item_t *newitem);
void list_insert_before(list_t *L, list_item_t *anchor, list_item_t *newitem);
void list_remove(list_t *L, list_item_t *item);
void list_clear(list_t *L);
list_item_t *list_find_item(list_t *L, void *ptr);


