#ifndef x_basics_h_included_lskdsoweitjkjsd
#define x_basics_h_included_lskdsoweitjkjsd

/* X11 basic interface,
    - opens the display
    - finds a 24-bit visual
    - gets various properties
      -- root window size
      -- pixel format
*/

extern Display *x_display;
extern Window   x_root_window;
extern int      x_screen_number;
extern uint32_t x_root_width, x_root_height;
extern uint32_t x_red_mask, x_red_shift,
                x_green_mask, x_green_shift,
                x_blue_mask, x_blue_shift;
extern int      x_depth;
extern Visual  *x_visual;

int init_display(char *name);

Window create_window_Ob
              (Window parent, int x,int y, int w, int h,
               unsigned int events, int border);


#endif
