typedef struct cfg_page_prop {
  int window_border; char G_window_border;
  int window; char G_window;
  int root; char G_root;
} cfg_page_prop_t;
typedef struct cfg_pager_style {
  int border; char G_border;
  cfg_page_prop_t inactive;
  cfg_page_prop_t active;
} cfg_pager_style_t;
typedef struct cfg_clock {
  int font_size; char G_font_size;
  char* font_name; char G_font_name;
  int pad; char G_pad;
  int bg; char G_bg;
  int fg; char G_fg;
} cfg_clock_t;
typedef struct cfg_taskbar {
  int mid; char G_mid;
  int right; char G_right;
  int left; char G_left;
  int active; char G_active;
  int max_size; char G_max_size;
  int border; char G_border;
  int icon_size; char G_icon_size;
  int font_size; char G_font_size;
  char* font_name; char G_font_name;
  int bg; char G_bg;
  int fg; char G_fg;
} cfg_taskbar_t;
typedef struct cfg_menu_style {
  int hilight; char G_hilight;
  int sepcolor; char G_sepcolor;
  int sepv; char G_sepv;
  int seph; char G_seph;
  int fg; char G_fg;
  int bg; char G_bg;
  char* font_name; char G_font_name;
  int font_size; char G_font_size;
  int icon_h; char G_icon_h;
  int icon_w; char G_icon_w;
  int vspc; char G_vspc;
  int mid2; char G_mid2;
  int mid; char G_mid;
  int right; char G_right;
  int left; char G_left;
} cfg_menu_style_t;
typedef struct cfg_top {
  int override_redirect; char G_override_redirect;
  char* right_box_file; char G_right_box_file;
  char* left_box_file; char G_left_box_file;
  int button_size; char G_button_size;
  int spacing; char G_spacing;
  int left; char G_left;
  int right; char G_right;
  int fg; char G_fg;
  int bg; char G_bg;
  int height; char G_height;
  char* *menu_shortcut_path; int N_menu_shortcut_path; int S_menu_shortcut_path;
  char* *menu_icon_path; int N_menu_icon_path; int S_menu_icon_path;
  cfg_menu_style_t menu_style;
  int clock_on; char G_clock_on;
  cfg_clock_t clock;
  cfg_taskbar_t taskbar;
  cfg_pager_style_t pager_style;
} cfg_top_t;
char *cfg_parse_top(char *fn, cfg_top_t *obj);
char *cfg_write_top(char *fn, cfg_top_t *obj);
