#ifndef QUMAP_H_INCLUDED
#define QUMAP_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

typedef struct { void *root; } qumap_t;

qumap_t *qumap_new    ();
void    *qumap_find   (qumap_t *map, uint64_t key);
void    *qumap_insert (qumap_t *map, uint64_t key,void *data);
void    *qumap_remove (qumap_t *map, uint64_t key);
void    *qumap_destroy(qumap_t *map);

#ifdef __cplusplus
};
#endif

#endif
